*** canohost.c.ORIG	Mon Jun  4 01:04:56 2001
--- canohost.c	Mon Jun  4 01:05:53 2001
***************
*** 111,116 ****
--- 111,119 ----
  	}
  	/* Look for the address from the list of addresses. */
  	for (ai = aitop; ai; ai = ai->ai_next) {
+ #ifdef __osf__
+ 		ai->ai_addr->sa_family = ai->ai_family;
+ #endif
  		if (getnameinfo(ai->ai_addr, ai->ai_addrlen, ntop2,
  		    sizeof(ntop2), NULL, 0, NI_NUMERICHOST) == 0 &&
  		    (strcmp(ntop, ntop2) == 0))
*** channels.c.ORIG	Mon Jun  4 01:03:12 2001
--- channels.c	Mon Jun  4 01:04:09 2001
***************
*** 1827,1832 ****
--- 1827,1835 ----
  	for (ai = aitop; ai; ai = ai->ai_next) {
  		if (ai->ai_family != AF_INET && ai->ai_family != AF_INET6)
  			continue;
+ #ifdef __osf__
+ 		ai->ai_addr->sa_family = ai->ai_family;
+ #endif
  		if (getnameinfo(ai->ai_addr, ai->ai_addrlen, ntop, sizeof(ntop),
  		    strport, sizeof(strport), NI_NUMERICHOST|NI_NUMERICSERV) != 0) {
  			error("channel_request_forwarding: getnameinfo failed");
***************
*** 2032,2037 ****
--- 2035,2043 ----
  	for (ai = aitop; ai; ai = ai->ai_next) {
  		if (ai->ai_family != AF_INET && ai->ai_family != AF_INET6)
  			continue;
+ #ifdef __osf__
+ 		ai->ai_addr->sa_family = ai->ai_family;
+ #endif
  		if (getnameinfo(ai->ai_addr, ai->ai_addrlen, ntop, sizeof(ntop),
  		    strport, sizeof(strport), NI_NUMERICHOST|NI_NUMERICSERV) != 0) {
  			error("connect_to: getnameinfo failed");
*** ssh-keyscan.c.ORIG	Mon Jun  4 01:02:26 2001
--- ssh-keyscan.c	Mon Jun  4 01:04:37 2001
***************
*** 310,315 ****
--- 310,318 ----
  	if ((gaierr = getaddrinfo(host, strport, &hints, &aitop)) != 0)
  		fatal("getaddrinfo %s: %s", host, gai_strerror(gaierr));
  	for (ai = aitop; ai; ai = ai->ai_next) {
+ #ifdef __osf__
+ 		ai->ai_addr->sa_family = ai->ai_family;
+ #endif
  		s = socket(ai->ai_family, SOCK_STREAM, 0);
  		if (s < 0) {
  			error("socket: %s", strerror(errno));
*** sshconnect.c.ORIG	Sun Jun  3 04:39:43 2001
--- sshconnect.c	Mon Jun  4 01:06:53 2001
***************
*** 238,243 ****
--- 238,246 ----
  		for (ai = aitop; ai; ai = ai->ai_next) {
  			if (ai->ai_family != AF_INET && ai->ai_family != AF_INET6)
  				continue;
+ #ifdef __osf__
+ 			ai->ai_addr->sa_family = ai->ai_family;
+ #endif
  			if (getnameinfo(ai->ai_addr, ai->ai_addrlen,
  			    ntop, sizeof(ntop), strport, sizeof(strport),
  			    NI_NUMERICHOST|NI_NUMERICSERV) != 0) {
*** sshd.c.ORIG	Mon Jun  4 01:00:22 2001
--- sshd.c	Mon Jun  4 01:02:16 2001
***************
*** 817,822 ****
--- 817,825 ----
  		for (ai = options.listen_addrs; ai; ai = ai->ai_next) {
  			if (ai->ai_family != AF_INET && ai->ai_family != AF_INET6)
  				continue;
+ #ifdef __osf__
+ 			ai->ai_addr->sa_family = ai->ai_family;
+ #endif
  			if (num_listen_socks >= MAX_LISTEN_SOCKS)
  				fatal("Too many listen sockets. "
  				    "Enlarge MAX_LISTEN_SOCKS");
